FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202101230441.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101230441.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=5f688bac8af5c9fa2f320f596bbe0a02a4d36f8f KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+5f688ba OS_GIT_COMMIT=5f688ba OS_GIT_VERSION=4.5.0-202101230441.p0-5f688ba SOURCE_DATE_EPOCH=1601094709 SOURCE_GIT_COMMIT=5f688bac8af5c9fa2f320f596bbe0a02a4d36f8f SOURCE_GIT_TAG=5f688ba SOURCE_GIT_URL=https://github.com/openshift/cluster-csi-snapshot-controller-operator 
WORKDIR /go/src/github.com/openshift/cluster-csi-snapshot-controller-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-csi-snapshot-controller-operator
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.versionFromGit=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" -tags="ocp" -o csi-snapshot-controller-operator ./cmd/csi-snapshot-controller-operator

FROM openshift/ose-base:v4.5.0.20210123.050934
ENV __doozer=update BUILD_RELEASE=202101230441.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101230441.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=5f688bac8af5c9fa2f320f596bbe0a02a4d36f8f KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+5f688ba OS_GIT_COMMIT=5f688ba OS_GIT_VERSION=4.5.0-202101230441.p0-5f688ba SOURCE_DATE_EPOCH=1601094709 SOURCE_GIT_COMMIT=5f688bac8af5c9fa2f320f596bbe0a02a4d36f8f SOURCE_GIT_TAG=5f688ba SOURCE_GIT_URL=https://github.com/openshift/cluster-csi-snapshot-controller-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-csi-snapshot-controller-operator/csi-snapshot-controller-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/csi-snapshot-controller-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-csi-snapshot-controller-operator" \
        com.redhat.component="ose-cluster-csi-snapshot-controller-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Operators" \
        release="202101230441.p0" \
        io.openshift.build.commit.id="5f688bac8af5c9fa2f320f596bbe0a02a4d36f8f" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-csi-snapshot-controller-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-csi-snapshot-controller-operator/commit/5f688bac8af5c9fa2f320f596bbe0a02a4d36f8f" \
        version="v4.5.0"

